-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--[dbo].[readLogPdf] 170,1
CREATE PROCEDURE [dbo].[readLogPdf]
@idImage as int,	
@rete as varchar(50),
@cf as varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    -- Insert statements for procedure here
	SELECT 
		IDLog,
		e.Testo as Evento,
		Data_inserimento,
		Nome,
		Cognome
	FROM 		LogFilePDF l
	inner join 		EventoLog e
	on l.tipo = e.codice
	WHERE
		(@idImage  is null or l.IDImage = @idImage)  and
		l.rete = @rete and
		l.CodiceFiscale = @cf
END